Arduino

Reference Language | Libraries | Comparison | Changes

USBHost : KeyboardController class

## getModifiers()

#### Description

Reports any modifier keys pressed or released on an attached USB keyboard.

#### Syntax

keyboard.getModifiers()

#### Parameters

none

#### Returns

int : a numeric representation of the modifier keys being pressed. Values for the keys are below.

- LeftCtrl = 1
- LeftShift = 2
- Alt = 4
- LeftCmd = 8
- RightCtrl = 16
- RightShift = 32
- AltGr = 64
- RightCmd = 128

#### Example

#include <KeyboardController.h>
// Initialize USB Controller
USBHost usb;
// Attach Keyboard controller to USB
KeyboardController keyboard(usb);
void setup(){
Serial.begin(9600);
}
void loop(){
usb.Task();
int mod = keyboard.getModifiers();
Serial.print("mod: ");
Serial.print(mod);
}
[Get Code]

#### See Also

- keyPressed()
- keyReleased()
- getKey()
- getOemKey()
- KeyboardController example
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers